Bug 54703 - Dependencies between /etc/sysconfig/network-scripts/ifup-post and /etc/sysconfig/iptables
Summary: Dependencies between /etc/sysconfig/network-scripts/ifup-post and /etc/syscon...
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: basesystem   
(Show other bugs)
Version: 7.1
Hardware: i586 Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-16 18:38 UTC by Matt
Modified: 2014-03-17 02:23 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-16 18:38:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matt 2001-10-16 18:38:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
The /etc/rc.d/init.d/iptables depends on /etc/sysconfig/network-
scripts/ifup-post to allow dns traffic through the firewall roules. So if 
you call the iptables init script without rebooting then the ifup-post 
script will not be executed and the dns servers will not be allowed 
through the firewall rules.  aka DNS won't work.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:

1. /etc/rc.d/init.d/iptables restart
2. Try to resolve any network names
	

Actual Results:  DNS names cannot be resolved and dig says server does not 
respond.

Expected Results:  DNS names should be resolved.

Additional info:

Comment 1 Bill Nottingham 2002-01-24 07:28:00 UTC
ifup-post doesn't touch iptables at all. That code is there mainly for lokkit
and the like; we assume that custom firewalls would be written to allow DNS.


Note You need to log in before you can comment on or make changes to this bug.